package at.ac.perg.htl.bhif16.coffeeapp;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ListView;
import android.widget.SimpleAdapter;
import android.widget.TextView;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class MainActivity extends AppCompatActivity {


    // Array of strings for ListView Title
    String[] listviewTitle = new String[]{  "Achleitner", "Aichinger", "Bodingbauer",
                                            "Bogdan","Derntl","Diesenreither",
                                            "Forthofer","Fröschl","Fürholzer",
                                            "Grünzweil","Gürler","Hametner",
                                            "Hemmelmayr","Kargl","Link",
                                            "Mayrhofer","Moser","Mühlbachler",
                                            "Nerat","Pilgersdorfer","Rauch",
                                            "Rauscher","Scheuchenpflug","Wall"};

    int[] listviewImage = new int[]{        R.drawable.achleitner, R.drawable.aichinger, R.drawable.bodingbauer,
                                            R.drawable.bogdan, R.drawable.derntl, R.drawable.unknown,
                                            R.drawable.forthofer, R.drawable.froeschl, R.drawable.fuerholzer,
                                            R.drawable.unknown, R.drawable.unknown, R.drawable.hametner,
                                            R.drawable.hemmelmayr, R.drawable.kargl, R.drawable.link,
                                            R.drawable.mayrhofer, R.drawable.moser, R.drawable.muehlbacher,
                                            R.drawable.unknown, R.drawable.pilgersdorfer, R.drawable.rauch,
                                            R.drawable.rauscher, R.drawable.scheuchenpflug, R.drawable.wall};

    TextView count_field;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        List<HashMap<String, String>> aList = new ArrayList<HashMap<String, String>>();
        for (int i = 0; i < listviewTitle.length; i++) {
            HashMap<String, String> hm = new HashMap<String, String>();
            hm.put("listview_title", listviewTitle[i]);
            hm.put("listview_image", Integer.toString(listviewImage[i]));
            aList.add(hm);
        }

        String[] from = {"listview_image", "listview_title", "listview_discription"};
        int[] to = {R.id.listview_image, R.id.listview_item_title};

        SimpleAdapter simpleAdapter = new SimpleAdapter(getBaseContext(), aList, R.layout.listview_activity, from, to);
        ListView androidListView = (ListView) findViewById(R.id.list_view);
        androidListView.setAdapter(simpleAdapter);










    }


}


